# Note that this is NOT a relocatable package
%define ver      1.0.2
%define rel      10
%define prefix   /usr

Summary: GNOME games.
Name: gnome-games
Version: %ver
Release: %rel
Copyright: LGPL
Group: Amusements/Games
Source: ftp://ftp.gnome.org/pub/gnome-games-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/gnome-games-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org
Docdir: %{prefix}/doc

Patch0: gnome-games-1.0.2-newscm.patch

%description
GNOME is the GNU Network Object Model Environment. That's a fancy
name, but really GNOME is a nice GUI desktop environment.
Its powerful, friendly and easy-to-configure interface makes
using your computer easy.

This package installs some GNOME games on your system,
such as gnothello, solitaire, tetris and others.

%package devel
Summary: GNOME games development libraries.
Group: Development/Libraries
Requires: gnome-games = %{PACKAGE_VERSION}
Requires: gtk+-devel

%description devel
This packages installs the libraries and files needed
to develop some GNOME games.

%changelog
* Sat Apr 10 1999 Jonathan Blandford <jrb@redhat.com>
- added new sol games and a fix for the old ones.

* Mon Mar 29 1999 Michael Fulbright <drmike@redhat.com>
- removed more offending t*tris stuff

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- made gnibbles have correct attr since its setgid
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- added score files to file list

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.0.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- removed *tris games

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added sound event lists to file list
- touched up file list some more

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- added gnibbles data to file list

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.7

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.5

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Thu Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 in prep for GNOME 1.0

* Sat Nov 21 1998 Michael Fulbright <drmike@redhat.com>
- updated for 0.30 tree

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-games CVS source tree

%prep
%setup -q
%patch  -p1 -b .newscm

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--localstatedir=/var/lib --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
        sysconfdir=$RPM_BUILD_ROOT/etc \
        localstatedir=$RPM_BUILD_ROOT/var/lib  \
        install

#
# lawyers are fun
#
rm -f  $RPM_BUILD_ROOT%{prefix}/bin/metatris
rm -f  $RPM_BUILD_ROOT%{prefix}/bin/gnometris
rm -f  $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games/gnometris.desktop
rm -f  $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games/metatris.desktop
rm -f  $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-metatris.png
rm -f  $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-gtetris.png
rm -rf $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnometris/
rm -f  $RPM_BUILD_ROOT/var/lib/games/gnometris.scores
rm -f  $RPM_BUILD_ROOT/var/lib/games/metatris.scores

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/GnomeScott
%{prefix}/bin/ctali
%{prefix}/bin/freecell
%{prefix}/bin/sol

# these are setgid games
%attr(2111, root, games) %{prefix}/bin/gnibbles
%attr(2111, root, games) %{prefix}/bin/gnobots
%attr(2111, root, games) %{prefix}/bin/gnobots2
%attr(2111, root, games) %{prefix}/bin/gnome-stones
%attr(2111, root, games) %{prefix}/bin/gnomine
%attr(2111, root, games) %{prefix}/bin/gnotravex
%attr(2111, root, games) %{prefix}/bin/gtali
%attr(2111, root, games) %{prefix}/bin/gturing
%attr(2111, root, games) %{prefix}/bin/iagno
%attr(2111, root, games) %{prefix}/bin/mahjongg
%attr(2111, root, games) %{prefix}/bin/same-gnome

/etc/sound/events
%{prefix}/share/gnome/apps/Games/*
%{prefix}/share/gnibbles/*
%{prefix}/share/gnobots2/*
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome-stones/*
%{prefix}/share/gturing/*
%{prefix}/share/locale/*/*/*
#%{prefix}/share/metatris/*
%{prefix}/share/pixmaps/*
%{prefix}/share/sol-games/*
%{prefix}/share/sounds/*

#%{prefix}/share/sol-games

%{prefix}/lib/lib*.so.*
%{prefix}/lib/gnome-stones/objects/lib*.so.*
%attr(664, games, games) /var/lib/games/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/gnome-stones/objects/lib*.so
%{prefix}/lib/gnome-stones/objects/lib*a
%{prefix}/include/*

